Retrieve all project tasks
curl --request GET \
--url https://api.domo.com/v1/projects/{PROJECT_ID}/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domo.com/v1/projects/{PROJECT_ID}/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domo.com/v1/projects/{PROJECT_ID}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "1",
"projectId": "2",
"projectListId": "4",
"taskName": "User Story Mapping",
"createdDate": "2018-08-01T07:00:00Z",
"priority": 1,
"createdBy": 27,
"ownedBy": 27,
"contributors": [
27
],
"attachmentCount": 0,
"tags": [],
"archived": false
},
{
"id": "2",
"projectId": "2",
"projectListId": "4",
"taskName": "UML Architecture",
"createdDate": "2018-08-01T07:00:00Z",
"priority": 2,
"createdBy": 27,
"ownedBy": 27,
"contributors": [
27
],
"attachmentCount": 0,
"tags": [],
"archived": false
},
{
"id": "3",
"projectId": "2",
"projectListId": "4",
"taskName": "Project Scaffolding",
"createdDate": "2018-08-01T07:00:00Z",
"priority": 3,
"createdBy": 27,
"ownedBy": 27,
"contributors": [
27
],
"attachmentCount": 0,
"tags": [],
"archived": false
},
{
"id": "4",
"projectId": "2",
"projectListId": "14",
"taskName": "Initial Commit",
"createdDate": "2018-08-01T07:00:00Z",
"priority": 1,
"createdBy": 27,
"ownedBy": 27,
"contributors": [
27
],
"attachmentCount": 0,
"tags": [],
"archived": false
}
]Projects and Tasks API
Retrieve all project tasks
Retrieves all tasks from a given project id.
GET
/
v1
/
projects
/
{PROJECT_ID}
/
tasks
Retrieve all project tasks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the project
Query Parameters
The maximum amount of results to return (defaults to 10 with a maximum of 50)
he number of records to offset from the beginning of the result list (defaults to 0)
⌘I